FIND_PATH(EXT2FS_INCLUDE_DIR NAMES ext2fs.h PATHS /usr/include/ext2fs /usr/local/include/ext2fs)

FIND_LIBRARY(EXT2FS_LIBRARY NAMES ext2fs PATHS /usr/lib /usr/local/lib)

IF ( EXT2FS_INCLUDE_DIR AND EXT2FS_LIBRARY )
        SET(EXT2FS_FOUND TRUE)
ENDIF ( EXT2FS_INCLUDE_DIR AND EXT2FS_LIBRARY )

IF ( EXT2FS_FOUND )
        IF ( NOT Ext2fs_FIND_QUIETLY)
                MESSAGE(STATUS "Found ext2fs libraries: ${EXT2FS_LIBRARY}")
        ENDIF ( NOT Ext2fs_FIND_QUIETLY )
ELSE ( EXT2FS_FOUND )
        IF ( Ext2fs_FIND_REQUIRED )
                MESSAGE(FATAL_ERROR "Could not find ext2fs liraries")
        ENDIF ( Ext2fs_FIND_REQUIRED )
ENDIF ( EXT2FS_FOUND )
