FIND_PATH(PARTED_INCLUDE_DIR NAMES constraint.h device.h disk.h PATHS /usr/include/parted /usr/local/include/parted)

FIND_LIBRARY(PARTED_LIBRARY NAMES parted PATHS /usr/lib /usr/local/lib)

IF ( PARTED_INCLUDE_DIR AND PARTED_LIBRARY )
        SET(PARTED_FOUND TRUE)
ENDIF ( PARTED_INCLUDE_DIR AND PARTED_LIBRARY )

IF ( PARTED_FOUND )
        IF ( NOT Parted_FIND_QUIETLY)
                MESSAGE(STATUS "Found parted libraries: ${PARTED_LIBRARY}")
        ENDIF ( NOT Parted_FIND_QUIETLY )
ELSE ( PARTED_FOUND )
        IF ( Parted_FIND_REQUIRED )
                MESSAGE(FATAL_ERROR "Could not find parted liraries")
        ENDIF ( Parted_FIND_REQUIRED )
ENDIF ( PARTED_FOUND )
